Index: /src/map/skill.c
===================================================================
--- /src/map/skill.c (revision 13)
+++ /src/map/skill.c (revision 19)
@@ -3352,6 +3607,96 @@
 		clif_specialeffect(src, 668, AREA); // Monster skill SCREAM effect on caster (with sound)
 		break;
-
-		//Custom Job End
+>>>>>>> .r18
+
+	case AD_PWBLIND: // Adept Power Word: Blind [Brain]
+	if(!tsc->data[type]) {
+		clif_skill_nodamage(src, bl, skillid, skilllv,1);
+		if(sc_start(bl, type,(30 + skilllv * 10 + (status_get_lv(src) - sstatus->int_)/5),
+		skilllv, skill_get_time(skillid,skilllv)))
+		{
+		if(dstmd) mob_unlocktarget(dstmd,tick);  //Removes current target
+		clif_specialeffect(bl, 379, AREA); //379.Soul Drain (2nd Part)
+		break;
+		}
+	} else clif_skill_fail(sd,skillid,0,0);
+	break;
+
+	case AD_PWFEAR: // Adept Power Word: Fear [Brain]
+	if(!tsc->data[type]) {
+		clif_skill_nodamage(src, bl, skillid, skilllv,1);
+		if(dstsd)
+		type = SC_CONFUSION; //Players cant be affected by SC_FEAR
+		if(sc_start(bl, type, (30 + skilllv * 10), skilllv, skill_get_time(skillid,skilllv)))
+		{
+		clif_specialeffect(bl, 372, AREA); //372.Death
+		unit_escape(bl, bl, 30);
+		}
+	} else clif_skill_fail(sd,skillid,0,0);
+	break;
+	case WL_HOWLOFPAIN: // Warlock Howl of Pain [Brain]
+	//These must be here first or else the code wont execute them.
+	clif_specialeffect(src, 670, AREA); // Monster skill SCREAM effect on caster (no sound)
+	clif_soundeffectall(bl, "wraith_die.wav", 0, AREA); //Wraith Laugh Sound
+	if (flag & 1) {
+		//Check if target is a living creature AND a valid enemy
+		if (battle_check_target(src, bl, BCT_ENEMY) && battle_check_living(tstatus->race,tstatus->def_ele))
+		{
+		if(sc_start(bl,type,10+skilllv*10,skilllv,skill_get_time(skillid,skilllv)))
+		{
+			if(dstmd) //PROVOKE Effect on mobs
+			mob_target(dstmd,src,skill_get_range2(src,skillid,skilllv));
+			// Breaks Frozen and Sleep status
+			if(tsc && tsc->count){
+			if(tsc->data[SC_FREEZE])
+				status_change_end(bl,SC_FREEZE,-1);
+			if(tsc->data[SC_SLEEP])
+				status_change_end(bl,SC_SLEEP,-1);
+			}
+			clif_emotion(bl,6); //anger emote on target
+			break;
+		} else { //What will happen if the status fail:
+			{
+			if (sd) //If is a player
+				clif_skill_fail(sd,skillid,0,0);
+			map_freeblock_unlock(); //Else is a mob
+			return 0;
+			}
+			unit_skillcastcancel(bl, 2); //In any case, will cancel casting
+		}
+		}
+	} else {
+		map_foreachinrange(skill_area_sub, src,
+		skill_get_splash(skillid, skilllv), BL_CHAR,
+		src, skillid, skilllv, tick, flag|BCT_ENEMY|1,
+		skill_castend_nodamage_id);
+		clif_skill_nodamage(src, bl, skillid, skilllv, 1);
+		map_freeblock_unlock();
+		return 1;
+	}
+	break;
+	case WL_HOWLOFTERROR: // Warlock Howl of Terror [Brain]
+	if (flag & 1) {
+		int rate;
+		//Check if target is a living creature AND a valid enemy
+		if (battle_check_target(src, bl, BCT_ENEMY)
+		&& battle_check_living(tstatus->race,tstatus->def_ele)) {
+		rate = 10 + skilllv*5 + pc_checkskill(sd,AD_PWFEAR)*3;
+		if(dstsd) {
+			rate -= 10; // 10% less chance on players
+			type = SC_CONFUSION; //Players cant be affected by SC_FEAR
+		}
+		if(sc_start(bl,type,rate,skilllv,skill_get_time(skillid,skilllv)))
+			clif_specialeffect(bl, 372, AREA); //Same as PW: Fear
+		}
+	} else {
+		map_foreachinrange(skill_area_sub, src,
+		skill_get_splash(skillid, skilllv), BL_CHAR,
+		src, skillid, skilllv, tick, flag|BCT_ENEMY|1,
+		skill_castend_nodamage_id);
+		clif_skill_nodamage(src, bl, skillid, skilllv, 1);
+	}
+	clif_specialeffect(src, 668, AREA); // Monster skill SCREAM effect on caster (with sound)
+	break;
+
 
 	case AL_DECAGI:
@@ -3371,4 +3716,7 @@
 		}
 		break;
+<<<<<<< .mine
+
+=======
 	//Custom Jobs (blackmagic)
 	case NC_DARKMOON: //Necro Dark Moon [Brain]
@@ -3436,5 +3784,70 @@
 		}
 		break;
-		//Custom Job End
+>>>>>>> .r18
+	case NC_DARKMOON: //Necro Dark Moon [Brain]
+	if (flag&1) {
+		//Check my enemies
+		if (battle_check_target(src, bl, BCT_ENEMY) &&
+		battle_check_living(tstatus->race,tstatus->def_ele))
+		{
+		if(sc_start(bl,SC_BLIND,50,skilllv,skill_get_time(skillid,skilllv)))
+			clif_specialeffect(bl, 580, AREA); //Box of Rain effect on target
+		}
+		else { //Now my Party members
+		if (sd == NULL || sd->status.party_id == 0 || (flag & 1)) {
+			clif_skill_nodamage(bl,bl,skillid,skilllv,
+			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+			clif_specialeffect(bl, 521, AREA); //Red Flashing Aura Sprite effect on target
+		} else if (sd) {
+			party_foreachsamemap(skill_area_sub, sd,skill_get_splash(skillid, skilllv),
+			src,skillid,skilllv,tick, flag|BCT_ALL|1,skill_castend_nodamage_id);
+		}
+		}
+	} else {
+		map_foreachinrange(skill_area_sub, src, skill_get_splash(skillid, skilllv), BL_CHAR,
+		src, skillid, skilllv, tick, flag|BCT_ALL|1, skill_castend_nodamage_id);
+		clif_skill_nodamage(src, bl, skillid, skilllv, 1);
+	}
+	clif_specialeffect(src, 407, AREA); //Soul Change Effect on caster
+	clif_soundeffectall(bl, "se_wolf1.wav", 0, AREA); //Wolf Howl Sound
+	break;
+	case NC_REQUIEM: //Necro Requiem [Brain]
+	if (flag&1) {
+		//Check my enemies
+		if (battle_check_target(src, bl, BCT_ENEMY) &&
+			battle_check_living(tstatus->race,tstatus->def_ele))
+		{
+		if(sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)))
+			clif_specialeffect(bl, 578, AREA); //Box of Curse effect on target
+		}
+		else { //Now my Party members
+		if (sd == NULL || sd->status.party_id == 0 || (flag & 1)) {
+			clif_skill_nodamage(bl,bl,skillid,skilllv,
+			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+			clif_specialeffect(bl, 572, AREA); //Warmth Soul effect on target
+		} else if (sd) {
+			party_foreachsamemap(skill_area_sub, sd,skill_get_splash(skillid, skilllv),
+			src,skillid,skilllv,tick, flag|BCT_ALL|1,skill_castend_nodamage_id);
+		}
+		}
+	} else {
+		map_foreachinrange(skill_area_sub, src, skill_get_splash(skillid, skilllv), BL_CHAR,
+		src, skillid, skilllv, tick, flag|BCT_ALL|1, skill_castend_nodamage_id);
+		clif_skill_nodamage(src, bl, skillid, skilllv, 1);
+	}
+	int rnds = rand()%3;
+	switch(rnds) {
+		case 1:
+		clif_soundeffectall(bl, "chant1.wav", 0, AREA); //Chanting Sound
+		break;
+		case 2:
+		clif_soundeffectall(bl, "chant2.wav", 0, AREA); //Chanting Sound
+		break;
+		case 3:
+		clif_soundeffectall(bl, "chant3.wav", 0, AREA); //Chanting Sound
+		break;
+	}
+	break;
+
 
 	case PR_LEXDIVINA:
@@ -3442,6 +3855,6 @@
 			status_change_end(bl,type, -1);
 			clif_skill_nodamage (src, bl, skillid, skilllv, 1);
-		} else 
-			clif_skill_nodamage (src, bl, skillid, skilllv, 
+		} else
+			clif_skill_nodamage (src, bl, skillid, skilllv,
 				sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
 		break;
@@ -3459,5 +3872,5 @@
 			abra_skilllv = min(skilllv, skill_get_max(abra_skillid));
 			clif_skill_nodamage (src, bl, skillid, skilllv, 1);
-			
+
 			if( sd )
 			{// player-casted
@@ -3473,9 +3886,9 @@
 				int target_id = 0;
 				if (!ud) break;
-				if (inf&INF_SELF_SKILL || inf&INF_SUPPORT_SKILL) { 
+				if (inf&INF_SELF_SKILL || inf&INF_SUPPORT_SKILL) {
 					if (src->type == BL_PET)
 						bl = (struct block_list*)((TBL_PET*)src)->msd;
 					if (!bl) bl = src;
-					unit_skilluse_id(src, bl->id, abra_skillid, abra_skilllv); 
+					unit_skilluse_id(src, bl->id, abra_skillid, abra_skilllv);
 				} else {	//Assume offensive skills
 					if (ud->target)
@@ -3490,5 +3903,5 @@
 						bl = map_id2bl(target_id);
 						if (!bl) bl = src;
-						unit_skilluse_pos(src, bl->x, bl->y, abra_skillid, abra_skilllv); 
+						unit_skilluse_pos(src, bl->x, bl->y, abra_skillid, abra_skilllv);
 					} else
 						unit_skilluse_id(src, target_id, abra_skillid, abra_skilllv);
@@ -3564,5 +3977,5 @@
 	case CR_PROVIDENCE:
 		if(sd && dstsd){ //Check they are not another crusader [Skotlex]
-			if ((dstsd->class_&MAPID_UPPERMASK) == MAPID_CRUSADER) {	
+			if ((dstsd->class_&MAPID_UPPERMASK) == MAPID_CRUSADER) {
 				clif_skill_fail(sd,skillid,0,0);
 				map_freeblock_unlock();
@@ -3573,5 +3986,5 @@
 			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
 		break;
-		
+
 	case CG_MARIONETTE:
 		{
@@ -3671,5 +4084,5 @@
 
 		sc_start(bl,SC_SEVENWIND,100,skilllv,skill_get_time(skillid,skilllv));
-			
+
 		break;
 
@@ -3702,5 +4115,5 @@
 	case LK_BERSERK:
 	case KN_AUTOCOUNTER:
-	case KN_TWOHANDQUICKEN:	
+	case KN_TWOHANDQUICKEN:
 	case KN_ONEHAND:
 	case CR_SPEARQUICKEN:
@@ -3713,5 +4126,5 @@
 	case MO_BLADESTOP:
 	case LK_AURABLADE:
-	case LK_PARRYING:	
+	case LK_PARRYING:
 	case LK_CONCENTRATION:
 	case WS_CARTBOOST:
@@ -3739,10 +4152,57 @@
 	case NPC_DEFENDER:
 	case NPC_MAGICMIRROR:
-		//Custom Jobs (blackmagic)
-	case ALL_ATFIELD:	//AT Field [Brain]
-		//Custom Job End
+	case ALL_ATFIELD:
 		clif_skill_nodamage(src,bl,skillid,skilllv,
 			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
 		break;
+<<<<<<< .mine
+	case AD_LUST:	// Adept Blood Lust [Brain]
+	clif_specialeffect(src, 220, AREA); //Berserk Pot effect
+	clif_specialeffect(src, 455, AREA); //Red Lightnings
+	clif_skill_nodamage(src,bl,skillid,skilllv,
+		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+	break;
+	case NC_DECREPIFY: //Necro Decrepify [Brain]
+	if(battle_check_living(tstatus->race,tstatus->def_ele)){
+		clif_specialeffect(bl, 403, AREA); //Mind Breaker Effect on target
+		clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
+		clif_skill_nodamage(src,bl,skillid,skilllv,
+		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+	}
+	else clif_skill_fail(sd,skillid,0,0);
+	break;
+	case WL_CURSEWEAKNESS: // Warlock Curse of Weakness [Brain]
+	clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite effect on target
+	clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
+	clif_skill_nodamage(src,bl,skillid,skilllv,
+		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+	break;
+	case WL_CURSEEXHAUST: // Warlock Curse of Exhaustion [Brain]
+	clif_specialeffect(bl, 135, AREA); //Ice Breaking effect on target
+	clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
+	clif_skill_nodamage(src,bl,skillid,skilllv,
+		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+	break;
+	case WL_CURSETONGUES: // Warlock Curse of Tongues [Brain]
+	clif_specialeffect(bl, 72, AREA); //Spinning Lights effect on target
+	clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
+	clif_skill_nodamage(src,bl,skillid,skilllv,
+		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+	break;
+	case WL_CURSEDOOM: // Warlock Curse of Doom (temp) [Brain]
+	if(!tsc->data[type]) {
+		clif_specialeffect(bl, 196, AREA); //Small Curse Reaper effect on target
+		clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
+		clif_skill_nodamage(src,bl,skillid,skilllv,
+		sc_start4(bl,type,100,
+			skilllv,skillid,src->id,skill_get_time(skillid,skilllv),1000));
+	} else clif_skill_fail(sd,skillid,0,0);
+	break;
+	case WL_OVERWHELMING: // Warlock Overwhelming Evil [Brain]
+	clif_specialeffect(src, 348, AREA); //1000 Blades Trespassing effect on caster
+	clif_skill_nodamage(src,bl,skillid,skilllv,
+		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+	break;
+=======
 	//Custom Jobs (blackmagic)
 	
@@ -3796,4 +4256,5 @@
 	
 	//Custom Job End
+>>>>>>> .r18
 	case MG_SIGHT:
 	case AL_RUWACH:
@@ -3910,5 +4371,5 @@
 		if (!i)
 		{
-			if (sd) 
+			if (sd)
 				clif_skill_fail(sd,skillid,0,0);
 			map_freeblock_unlock();
@@ -3996,5 +4457,5 @@
 			skill_additional_effect(src,bl,skillid,skilllv,BF_MISC,tick); //Use Misc rather than weapon to signal passive pushback
 		}
-		break;	
+		break;
 
 	case MO_ABSORBSPIRITS:
@@ -4012,4 +4473,6 @@
 		clif_skill_nodamage(src,bl,skillid,skilllv,i?1:0);
 		break;
+<<<<<<< .mine
+=======
 		//Custom Jobs (blackmagic)
 	
@@ -4038,4 +4501,30 @@
 		break;
 		//Custom Job End
+>>>>>>> .r18
+
+	case WL_DRAINSOUL: // Warlock Drain Soul [Brain]
+	i = 0;
+	if (dstsd && (sd == dstsd || map_flag_vs(src->m)))
+	{	//check if target is a player and we are in versus map
+		i = tstatus->max_sp * skilllv/100;//i = SkillLv% of player Max SP
+		if(dstsd->spiritball && (dstsd->class_&MAPID_BASEMASK)!=MAPID_GUNSLINGER) {
+		i += dstsd->spiritball * 5;//will drain Monk Spirits and regain 5 SP per Spirit
+		pc_delspiritball(dstsd,dstsd->spiritball,0);
+		}
+	} else if (dstmd && !(tstatus->mode&MD_BOSS) && battle_check_living(tstatus->race,tstatus->def_ele))
+	{	// check if target is a monster and not a Boss
+		i = dstmd->level/5 * skilllv;//i = mob level/5 * Skill Lvl
+		mob_target(dstmd,src,0);//This will turn the mob agressive against the caster
+	}
+	if(i < skilllv) i = skilllv; //Minimum 1 sp per skill lvl
+	if (i) {
+		clif_specialeffect(src, 253, AREA); //Absorb Mana effect on caster
+		clif_specialeffect(bl, 52, AREA); //Lightning Hit effect on target
+		status_heal(src, 0, i, 3); //caster drains sp
+		status_zap(bl, 0, i*skilllv); //target lost sp equal to 1*SkillLv the amount drained
+	}
+	clif_skill_nodamage(src,bl,skillid,skilllv,i?1:0);
+	break;
+
 
 	case AC_MAKINGARROW:
@@ -4130,5 +4619,5 @@
 		}
 		break;
-	
+
 	case WZ_SIGHTRASHER:
 		//Passive side of the attack.
@@ -4238,5 +4727,5 @@
 	case SM_AUTOBERSERK:	// Celest
 		if (tsce)
-			i = status_change_end(bl, type, -1);				
+			i = status_change_end(bl, type, -1);
 		else
 			i = sc_start(bl,type,100,skilllv,60000);
@@ -4252,5 +4741,5 @@
 		break;
 	case TK_RUN:
-			if (tsce) 
+			if (tsce)
 				clif_skill_nodamage(src,bl,skillid,skilllv,
 					status_change_end(bl, type, -1));
@@ -4348,5 +4837,5 @@
 			if (dstmd)
 				mob_target(dstmd,src,skill_get_range2(src,skillid,skilllv));
-			
+
 			if (tsc->data[SC_STONE]) {
 				status_change_end(bl,SC_STONE,-1);
@@ -4499,5 +4988,5 @@
 		}
 		break;
-		
+
 	case TF_PICKSTONE:
 		if(sd) {
@@ -4556,5 +5045,5 @@
 		//Note that Full Strip autospell doesn't use a duration
 		if (!clif_skill_nodamage(src,bl,skillid,skilllv,
-				skill_strip_equip(bl, location, i, skilllv, 
+				skill_strip_equip(bl, location, i, skilllv,
 				sd&&skillid==ST_FULLSTRIP&&!pc_checkskill(sd, skillid)?0:skill_get_time(skillid,skilllv)))
 			&& sd)
@@ -4712,5 +5201,5 @@
 					continue;
 				switch (i) {
-				case SC_WEIGHT50:    case SC_WEIGHT90:    case SC_HALLUCINATION: 
+				case SC_WEIGHT50:    case SC_WEIGHT90:    case SC_HALLUCINATION:
 				case SC_STRIPWEAPON: case SC_STRIPSHIELD: case SC_STRIPARMOR:
 				case SC_STRIPHELM:   case SC_CP_WEAPON:   case SC_CP_SHIELD:
@@ -4762,5 +5251,5 @@
 				y = src->y + diry[dir]*skilllv*2;
 			}
-			
+
 			clif_skill_nodamage(src,bl,TK_HIGHJUMP,skilllv,1);
 			if(!map_count_oncell(src->m,x,y,BL_PC|BL_NPC|BL_MOB) && map_getcell(src->m,x,y,CELL_CHKREACH)) {
@@ -4806,5 +5295,5 @@
 				} else if (!dstsd || map_flag_vs(bl->m)) //HP damage only on pvp-maps when against players.
 					hp = tstatus->max_hp/50; //Recover 2% HP [Skotlex]
-				
+
 				clif_skill_nodamage(src,bl,skillid,skilllv,1);
 				unit_skillcastcancel(bl,0);
@@ -4816,5 +5305,5 @@
 				else
 					hp = 0;
-				
+
 				if (sp) //Recover some of the SP used
 					sp = sp*(25*(skilllv-1))/100;
@@ -4892,5 +5381,5 @@
 	case NPC_CHANGETELEKINESIS:
 		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start2(bl, type, 100, skilllv, skill_get_ele(skillid,skilllv), 
+			sc_start2(bl, type, 100, skilllv, skill_get_ele(skillid,skilllv),
 				skill_get_time(skillid, skilllv)));
 		break;
@@ -4900,5 +5389,5 @@
 		if(tstatus->def_ele==ELE_UNDEAD || tstatus->def_ele==ELE_DARK) break;
 		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start2(bl, type, 100, skilllv, skill_get_ele(skillid,skilllv), 
+			sc_start2(bl, type, 100, skilllv, skill_get_ele(skillid,skilllv),
 				skill_get_time(skillid, skilllv)));
 		break;
@@ -4917,5 +5406,5 @@
 					sc_start(bl,type,100,skilllv,skill_time))
 			&& ud) {	//Disable attacking/acting/moving for skill's duration.
-				ud->attackabletime = 
+				ud->attackabletime =
 				ud->canact_tick =
 				ud->canmove_tick = tick + skill_time;
@@ -4961,5 +5450,5 @@
 		}
 		break;
-	
+
 	case NPC_SPEEDUP:
 		{
@@ -5034,5 +5523,5 @@
 			sc_start(bl,type,100,100,skill_get_time(skillid, skilllv)));
 		break;
-		
+
 	case NPC_AGIUP:
 		sc_start(bl,SC_SPEEDUP1,100,skilllv,skill_get_time(skillid, skilllv));
@@ -5046,5 +5535,5 @@
 			sc_start4(bl,type,100,skilllv,0,0,6,skill_get_time(skillid,skilllv)));
 		break;
-		
+
 	case NPC_SIEGEMODE:
 		// not sure what it does
@@ -5196,5 +5685,5 @@
 				return 1;
 			}
-	
+
 			if (tsce)
 			{	//HelloKitty2 (?) explained that this silently fails when target is
@@ -5207,5 +5696,5 @@
 			if (!clif_skill_nodamage(src,bl,skillid,skilllv,
 				sc_start(bl,type,55+5*skilllv,skilllv,skill_get_time(skillid,skilllv))))
-			{	
+			{
 				if (sd) clif_skill_fail(sd,skillid,0,0);
 				map_freeblock_unlock();
@@ -5388,6 +5877,6 @@
 					break;
 				default:
-					break;			
-				}			
+					break;
+				}
 			} while ((--count) > 0);
 			clif_skill_nodamage(src,bl,skillid,skilllv,1);
@@ -5449,10 +5938,10 @@
 			clif_skill_nodamage(src,bl,skillid,skilllv,
 				sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-		
+
 		if (skillid == SL_SKE)
 			sc_start(src,SC_SMA,100,skilllv,skill_get_time(SL_SMA,skilllv));
 
 		break;
-		
+
 	// New guild skills [Celest]
 	case GD_BATTLEORDER:
@@ -5532,5 +6021,5 @@
 				clif_feel_info(sd, skilllv-1, 1);
 		}
-		break;	
+		break;
 
 	case SG_HATE:
@@ -5612,5 +6101,5 @@
 			static const int per[5][2]={{20,50},{50,60},{25,75},{60,64},{34,67}};
 			int rnd = rand()%100;
-			i = (skilllv-1)%5; 
+			i = (skilllv-1)%5;
 			if(rnd<per[i][0]) //Self
 				bl = src;
@@ -5679,5 +6168,5 @@
 		mobskill_event(dstmd, src, tick, MSC_SKILLUSED|(skillid<<16));
 	}
-	
+
 	if (sd && !(flag&1) && sd->state.arrow_atk) //Consume arrow on last invocation to this skill.
 		battle_consume_ammo(sd, skillid, skilllv);
@@ -5782,5 +6271,5 @@
 			if(inf2 & (INF2_PARTY_ONLY|INF2_GUILD_ONLY) && src != target)
 			{
-				inf |= 	
+				inf |=
 					(inf2&INF2_PARTY_ONLY?BCT_PARTY:0)|
 					(inf2&INF2_GUILD_ONLY?BCT_GUILD:0);
@@ -5824,5 +6313,5 @@
 		if(sd && !skill_check_condition(sd,ud->skillid, ud->skilllv,1))
 			break;
-			
+
 		if(hd && !skill_check_condition_hom(hd,ud->skillid, ud->skilllv,1))	//[orn]
 			break;
@@ -5833,10 +6322,10 @@
 		if (ud->walktimer != -1 && ud->skillid != TK_RUN)
 			unit_stop_walking(src,1);
-		
+
 		ud->canact_tick = tick + skill_delayfix(src, ud->skillid, ud->skilllv);
-	
+
 		if (skill_get_state(ud->skillid) != ST_MOVE_ENABLE)
 			unit_set_walkdelay(src, tick, battle_config.default_walk_delay+skill_get_walkdelay(ud->skillid, ud->skilllv), 1);
-		
+
 		if(battle_config.skill_log && battle_config.skill_log&src->type)
 			ShowInfo("Type %d, ID %d skill castend id [id =%d, lv=%d, target ID %d]\n",
@@ -5893,5 +6382,5 @@
 			if (dy > 0) dy++;
 			else if(dy < 0) dy--;
-			
+
 			if (unit_movepos(src, src->x+dx, src->y+dy, 1, 1))
 			{	//Display movement + animation.
@@ -5914,5 +6403,5 @@
 
 /*==========================================
- * 
+ *
  *------------------------------------------*/
 int skill_castend_pos(int tid, unsigned int tick, int id, intptr data)
@@ -5935,5 +6424,5 @@
 		return 0;
 	}
-	
+
 	if( ud->skilltimer != tid )
 	{
@@ -5954,5 +6443,5 @@
 			skill_get_unit_flag(ud->skillid)&UF_NOREITERATION &&
 			skill_check_unit_range(src,ud->skillx,ud->skilly,ud->skillid,ud->skilllv)
-		  ) 
+		  )
 		{
 			if (sd) clif_skill_fail(sd,ud->skillid,0,0);
@@ -5993,5 +6482,5 @@
 			}
 		}
-			
+
 		if(sd && !skill_check_condition(sd,ud->skillid, ud->skilllv, 1))
 			break;
@@ -6079,5 +6568,5 @@
 		skill_area_temp[1] = src->id;
 		i = skill_get_splash(skillid, skilllv);
-		map_foreachinarea(skill_area_sub, 
+		map_foreachinarea(skill_area_sub,
 			src->m, x-i, y-i, x+i, y+i, BL_PC,
 			src, skillid, skilllv, tick, flag|BCT_ALL|1,
@@ -6106,4 +6595,6 @@
 			src->m, x-i, y-i, x+i,y+i,BL_SKILL);
 		break;
+<<<<<<< .mine
+=======
 		//Custom Jobs (blackmagic)
 	case WL_HELLFIRE: // Warlock Hellfire [Brain]
@@ -6114,7 +6605,16 @@
 		// Continue reading because skill_unitsetting is bellow
 		//Custom Job End
+>>>>>>> .r18
+
+	case WL_HELLFIRE: // Warlock Hellfire [Brain]
+	//clif_specialeffect(sd, 92, AREA); //Meteor Effect on caster, cant set on ground
+	clif_skill_poseffect(src,WZ_METEOR,skilllv,x,y,tick); //Meteor Effect
+	clif_skill_nodamage(src, src, skillid, 0, 1); //Lalala, just to show the skill yell correctly
+	clif_specialeffect(src, 55, AREA); //Red Cast Effect on caster
+	// Continue reading because skill_unitsetting is bellow
+
 
 	case MG_SAFETYWALL:
-	case MG_FIREWALL:	
+	case MG_FIREWALL:
 	case MG_THUNDERSTORM:
 	case AL_PNEUMA:
@@ -6273,4 +6773,19 @@
 				md->deletetimer = add_timer (gettick() + skill_get_time(skillid,skilllv), mob_timer_delete, md->bl.id, 0);
 				mob_spawn (md); //Now it is ready for spawning.
+<<<<<<< .mine
+                // @showsummon command implementation [Brainstorm]
+		if(sd->state.showsummon){
+			char output[256];
+			sprintf(output,
+			"[Summon] HP : %d | STR : %d DEX : %d VIT : %d INT : %d AGI : %d LUK : %d",
+			md->status.max_hp,md->status.str,md->status.dex,md->status.vit,md->status.int_,md->status.agi,md->status.luk);
+			clif_disp_onlyself(sd,output,strlen(output));
+			sprintf(output,
+			"[%s] ATK : %d~%d | DEF: %d+%d MDEF: %d+%d | HIT: %d FLEE: %d",
+			md->name,md->status.rhw.atk,md->status.rhw.atk2,md->status.def,md->status.def2,md->status.mdef,md->status.mdef2,md->status.hit,md->status.flee);
+			clif_disp_onlyself(sd,output,strlen(output));
+		}
+
+=======
 				//Custom Jobs (blackmagic)
 				// @showsummon command implementation [Brainstorm]
@@ -6287,8 +6802,67 @@
 				}
 				//Custom Job End
-			}
-		}
-		break;
-
+>>>>>>> .r18
+			}
+		}
+		break;
+
+<<<<<<< .mine
+	case AD_FAMILIAR: // Adept Summon Familiar [Brain]
+	if( sd )
+	{
+		int id;
+		int mob_class;
+		struct mob_data* md;
+		mob_class = pc_readglobalreg(sd, "ADEPT_FAMILIAR");
+		if( mob_class == 0 )
+		{
+		mob_class = mob_get_random_id(4, 0x1, 0);
+		pc_setglobalreg(sd, "ADEPT_FAMILIAR", mob_class);
+		}
+		id = mob_once_spawn(sd,src->m,src->x,src->y,"--en--",mob_class,1,"");
+		md = (struct mob_data *)map_id2bl(id);
+		if( md != NULL )
+		{
+		md->master_id = sd->bl.id;
+		md->special_state.ai = 1;
+		md->status.mode = md->status.mode|MD_AGGRESSIVE;
+		status_calc_mob(md,0); //Recalc their stats based on passive bonus
+		md->status.hp = md->status.max_hp; //Must be here or the code wont update it
+		// @showsummon command implementation [Brainstorm]
+		if(sd->state.showsummon){
+			char output[256];
+			sprintf(output,
+			"[Summon] HP : %d | STR : %d DEX : %d VIT : %d INT : %d AGI : %d LUK : %d",
+			md->status.max_hp,md->status.str,md->status.dex,md->status.vit,md->status.int_,md->status.agi,md->status.luk);
+			clif_disp_onlyself(sd,output,strlen(output));
+			sprintf(output,
+			"[%s] ATK : %d~%d | DEF: %d+%d MDEF: %d+%d | HIT: %d FLEE: %d",
+			md->name,md->status.rhw.atk,md->status.rhw.atk2,md->status.def,md->status.def2,md->status.mdef,md->status.mdef2,md->status.hit,md->status.flee);
+			clif_disp_onlyself(sd,output,strlen(output));
+		}
+		md->deletetimer = add_timer(gettick() + skill_get_time(skillid,skilllv), mob_timer_delete, id, 0);
+		}
+	}
+	break;
+	case NC_SKELETON: // Raise Skeleton [Brain]
+	case NC_ARCHER: // Raise Archer Skeleton
+	case NC_ZOMBIE: // Raise Zombie
+	case NC_MUMMY: // Raise Mummy
+	case NC_GHOST: // Raise Ghost
+	case NC_SHADOW: // Raise Shadow
+	case NC_WRAITH: // Raise Wraith
+	if( sd )
+	{
+		static const int mob_skeleton[5]={ 3201, 3202, 3203, 3204, 3205 }; // Skeleton, Orc Skeleton, Soldier Skeleton, Pirate Skeleton, Skeleton General
+		static const int mob_archer[5]={ 3206, 3207, 3208, 3209, 3210 }; // Archer Skeleton, Firelock Soldier
+		static const int mob_zombie[5]={ 3211, 3212, 3213, 3214, 3215 }; // Zombie, Ghoul, Zombie Master
+		static const int mob_mummy[5]={ 3216, 3217, 3218, 3219, 3220 }; // Mummy, Ancient Mummy
+		static const int mob_ghost[5]={ 3221, 3222, 3223, 3224, 3225 }; // Whisper, Nightmare, Nightmare Terror
+		static const int mob_shadow[5]={ 3226, 3227, 3228, 3229, 3230 }; // Injustice, Raydric, Dullahan
+		static const int mob_wraith[5]={ 3231, 3232, 3233, 3234, 3235 }; // Wraith, Wraith Dead
+		int id;
+		int mob_class;
+		struct mob_data *md;
+=======
 		//Custom Jobs (blackmagic)	
 	case AD_FAMILIAR: // Adept Summon Familiar [Brain]
@@ -6349,5 +6923,46 @@
 			int mob_class;
 			struct mob_data *md;
-
+>>>>>>> .r18
+
+<<<<<<< .mine
+		switch( skillid )
+		{
+		case NC_SKELETON: mob_class = mob_skeleton[skilllv-1]; break;
+		case NC_ARCHER:   mob_class = mob_archer[skilllv-1]; break;
+		case NC_ZOMBIE:   mob_class = mob_zombie[skilllv-1]; break;
+		case NC_MUMMY:	mob_class = mob_mummy[skilllv-1]; break;
+		case NC_GHOST:	mob_class = mob_ghost[skilllv-1]; break;
+		case NC_SHADOW:   mob_class = mob_shadow[skilllv-1]; break;
+		case NC_WRAITH:   mob_class = mob_wraith[skilllv-1]; break;
+		default:
+			mob_class = 1002; // poring
+			ShowDebug("skill_castend_pos2: undefined skill #%d used to raise mobs, defaulting to poring\n");
+			break;
+		}
+		id = mob_once_spawn(sd,src->m,src->x,src->y,"--ja--",mob_class,1,"");
+		if((md=(struct mob_data *)map_id2bl(id)))
+		{
+		md->master_id=sd->bl.id;
+		md->special_state.ai=1;
+		md->status.mode=md->db->status.mode|MD_AGGRESSIVE;
+		status_calc_mob(md,0); //Recalc their stats based on passive bonus
+		md->status.hp = md->status.max_hp; //Must be here or the code wont update it
+		// @showsummon command implementation [Brainstorm]
+		if(sd->state.showsummon){
+			char output[256];
+			sprintf(output,
+			"[Summon] HP : %d | STR : %d DEX : %d VIT : %d INT : %d AGI : %d LUK : %d",
+			md->status.max_hp,md->status.str,md->status.dex,md->status.vit,md->status.int_,md->status.agi,md->status.luk);
+			clif_disp_onlyself(sd,output,strlen(output));
+			sprintf(output,
+			"[%s] ATK : %d~%d | DEF: %d+%d MDEF: %d+%d | HIT: %d FLEE: %d",
+			md->name,md->status.rhw.atk,md->status.rhw.atk2,md->status.def,md->status.def2,md->status.mdef,md->status.mdef2,md->status.hit,md->status.flee);
+			clif_disp_onlyself(sd,output,strlen(output));
+		}
+		md->deletetimer = add_timer(gettick() + skill_get_time(skillid,skilllv), mob_timer_delete, id, 0);
+		}
+	}
+	break;
+=======
 			switch( skillid )
 			{
@@ -6391,4 +7006,7 @@
 
 		//Custom Job End
+>>>>>>> .r18
+
+
 
 	// Slim Pitcher [Celest]
@@ -6416,5 +7034,5 @@
 			potion_hp = potion_hp * (100+i)/100;
 			potion_sp = potion_sp * (100+i)/100;
-			
+
 			if(potion_hp > 0 || potion_sp > 0) {
 				i = skill_get_splash(skillid, skilllv);
@@ -6438,5 +7056,5 @@
 			potion_hp = potion_hp * (100+i)/100;
 			potion_sp = potion_sp * (100+i)/100;
-			
+
 			if(potion_hp > 0 || potion_sp > 0) {
 				i = skill_get_splash(skillid, skilllv);
@@ -6460,5 +7078,5 @@
 		}
 		break;
-	
+
 	case HW_GRAVITATION:
 		if ((sg = skill_unitsetting(src,skillid,skilllv,x,y,0)))
@@ -6542,10 +7160,10 @@
 	if (sd && !(flag&1) && sd->state.arrow_atk) //Consume arrow if a ground skill was not invoked. [Skotlex]
 		battle_consume_ammo(sd, skillid, skilllv);
-		
+
 	return 0;
 }
 
 /*==========================================
- * 
+ *
  *------------------------------------------*/
 int skill_castend_map (struct map_session_data *sd, short skill_num, const char *map)
@@ -6555,5 +7173,5 @@
 //Simplify skill_failed code.
 #define skill_failed(sd) { sd->menuskill_id = sd->menuskill_val = 0; }
-	if(skill_num != sd->menuskill_id) 
+	if(skill_num != sd->menuskill_id)
 		return 0;
 
@@ -6590,5 +7208,5 @@
 		return 0;
 	}
-	
+
 	switch(skill_num)
 	{
@@ -6631,10 +7249,10 @@
 				}
 			}
-		
+
 			//When it's an item-used warp-portal, the skill-lv used is lost.. assume max level.
 			lv = sd->skillitem==skill_num?skill_get_max(skill_num):pc_checkskill(sd,skill_num);
 			wx = sd->menuskill_val>>16;
 			wy = sd->menuskill_val&0xffff;
-			
+
 			if( lv <= 0 ) return 0;
 			if( lv > 4 ) lv = 4; // crash prevention
@@ -6655,5 +7273,5 @@
 				return 0;
 			}
-			
+
 			// This makes Warp Portal fail if the cell is not empty
 			//if(skill_check_unit_range2(&sd->bl,wx,wy,skill_num,lv) > 0) {
@@ -6714,10 +7332,10 @@
 		return 0; //Nothing to remove, this unit is not overlapped.
 
-	if (unit->val1 != unit->group->skill_id) 
+	if (unit->val1 != unit->group->skill_id)
 	{	//Reset state
 		unit->val1 = unit->group->skill_id;
 		unit->val2 &= ~UF_ENSEMBLE;
 	}
-	
+
 	return map_foreachincell(skill_dance_overlap_sub, unit->bl.m,unit->bl.x,unit->bl.y,BL_SKILL, unit,flag);
 }
@@ -6803,4 +7421,9 @@
 	switch(skillid)
 	{
+<<<<<<< .mine
+	case WL_HELLFIRE: // Warlock Hellfire [Brain]
+	if(map_flag_vs(src->m)) target = BCT_ALL;
+	break;
+=======
 //Custom Jobs (blackmagic)
 	case WL_HELLFIRE: // Warlock Hellfire [Brain]
@@ -6808,4 +7431,5 @@
 		break;
 //Custom Job End
+>>>>>>> .r18
 	case MG_SAFETYWALL:
 		val2=skilllv+1;
@@ -6883,5 +7507,5 @@
 			{	//Use the previous limit (minus the elapsed time) [Skotlex]
 				limit = old_sg->limit - DIFF_TICK(gettick(), old_sg->tick);
-				if (limit < 0)	//This can happen... 
+				if (limit < 0)	//This can happen...
 					limit = skill_get_time(skillid,skilllv);
 			}
@@ -7130,5 +7754,5 @@
 		return NULL;
 	}
-	
+
 
 	if (skillid == NJ_TATAMIGAESHI) //Store number of tiles.
@@ -7139,5 +7763,5 @@
 
 /*==========================================
- * 
+ *
  *------------------------------------------*/
 static int skill_unit_onplace (struct skill_unit *src, struct block_list *bl, unsigned int tick)
@@ -7152,5 +7776,5 @@
 	nullpo_retr(0, src);
 	nullpo_retr(0, bl);
-	
+
 	if(bl->prev==NULL || !src->alive || status_isdead(bl))
 		return 0;
@@ -7162,10 +7786,10 @@
 			&& !skill_get_inf2(sg->skill_id) == INF2_TRAP) //Traps work on top of land protector, magical or not [Brain]
 		return 0; //AoE skills are ineffective. [Skotlex]
-	
+
 	sc = status_get_sc(bl);
-	
+
 	if (sc && sc->option&OPTION_HIDE && sg->skill_id != WZ_HEAVENDRIVE)
 		return 0; //Hidden characters are immune to AoE skills except Heaven's Drive. [Skotlex]
-	
+
 	type = status_skill2sc(sg->skill_id);
 	sce = (sc && type != -1)?sc->data[type]:NULL;
@@ -7263,5 +7887,5 @@
 		}
 		break;
-	
+
 	case UNT_FOGWALL:
 		if (!sce)
@@ -7284,5 +7908,5 @@
 //			src->limit = DIFF_TICK(tick+700,sg->tick);
 //		break;
-	
+
 	case UNT_MOONLIT:
 		//Knockback out of area if affected char isn't in Moonlit effect
@@ -7298,5 +7922,5 @@
 
 /*==========================================
- * 
+ *
  *------------------------------------------*/
 int skill_unit_onplace_timer (struct skill_unit *src, struct block_list *bl, unsigned int tick)
@@ -7325,5 +7949,5 @@
 	tsc = status_get_sc(bl);
 	tstatus = status_get_status_data(bl);
-	if (sg->state.magic_power)  //For magic power. 
+	if (sg->state.magic_power)  //For magic power.
 	{
 		sc = status_get_sc(ss);
@@ -7354,5 +7978,5 @@
 			return 0;
 		ts->tick = tick+sg->interval;
-		
+
 		if ((skillid==CR_GRANDCROSS || skillid==NPC_GRANDDARKNESS) && !battle_config.gx_allhit)
 			ts->tick += sg->interval*(map_count_oncell(bl->m,bl->x,bl->y,BL_CHAR)-1);
@@ -7404,4 +8028,14 @@
 				}
 				if (status_isimmune(bl))
+<<<<<<< .mine
+					heal = 0;	/* é»éè²ã«ãŒãïŒããŒã«éïŒïŒ */
+		// Profane Soul reduces the healed recieved by 3% per skilllv [Brain]
+		if(tsd) {
+			heal = heal * (100 - pc_checkskill(tsd,AD_PROFANE)*3)/100;
+			//Wont heal even if he got elemental armors [Brain]
+			if(pc_checkskill(tsd,NC_PHYLACTERY)) heal = sg->skill_lv;
+		}
+
+=======
 					heal = 0;	/* é»Eßè²ã«ãŒãïŒããŒã«éïŒïŒE*/
 				//Custom Jobs (blackmagic)
@@ -7413,4 +8047,5 @@
 				}
 				//Custom Job End
+>>>>>>> .r18
 				clif_skill_nodamage(&src->bl, bl, AL_HEAL, heal, 1);
 				status_heal(bl, heal, 0, 0);
@@ -7447,5 +8082,5 @@
 
 		case UNT_ATTACK_SKILLS:
-			switch (sg->skill_id) 
+			switch (sg->skill_id)
 			{
 				case SG_SUN_WARM: //SG skills [Komurka]
